using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace CWW
{
	/// <summary>
	/// Summary description for VolunteerConfirm.
	/// </summary>
	public class VolunteerConfirm : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label FirstName;
		protected System.Web.UI.WebControls.Label LastName;
		protected System.Web.UI.WebControls.Label Address;
		protected System.Web.UI.WebControls.Label City;
		protected System.Web.UI.WebControls.Label ProvState;
		protected System.Web.UI.WebControls.Label Country;
		protected System.Web.UI.WebControls.Label PostalZip;
		protected System.Web.UI.WebControls.Label Email;
		protected System.Web.UI.WebControls.Label SIN;
		protected System.Web.UI.WebControls.Label Telephone;
		protected System.Web.UI.WebControls.Label Mobile;
		protected System.Web.UI.WebControls.Label Work;
		protected System.Web.UI.WebControls.Label Fax;
		protected System.Web.UI.WebControls.Label Smoking;
		protected System.Web.UI.WebControls.Label ContactName;
		protected System.Web.UI.WebControls.Label ContactTelephone;
		protected System.Web.UI.WebControls.Label Learn;
		protected System.Web.UI.WebControls.Label PriCam;
		protected System.Web.UI.WebControls.Label PriGrip;
		protected System.Web.UI.WebControls.Label PriSound;
		protected System.Web.UI.WebControls.Label PriWard;
		protected System.Web.UI.WebControls.Label PriPA;
		protected System.Web.UI.WebControls.Label PriProps;
		protected System.Web.UI.WebControls.Label PriSetDec;
		protected System.Web.UI.WebControls.Label PriOther;
		protected System.Web.UI.WebControls.Label PriOtherSpecify;
		protected System.Web.UI.WebControls.Label StreCam;
		protected System.Web.UI.WebControls.Label StreGrip;
		protected System.Web.UI.WebControls.Label StreSound;
		protected System.Web.UI.WebControls.Label StreWardrobe;
		protected System.Web.UI.WebControls.Label StrePA;
		protected System.Web.UI.WebControls.Label StreProps;
		protected System.Web.UI.WebControls.Label StreSetDec;
		protected System.Web.UI.WebControls.Label StreOther;
		protected System.Web.UI.WebControls.Label StreOtherSpecify;
		protected System.Web.UI.WebControls.Label CoverLetter;
		protected System.Web.UI.WebControls.Label Resume;
		protected System.Web.UI.WebControls.Label Photo;

		protected System.Web.UI.HtmlControls.HtmlInputFile CoverLetterFile;
		protected System.Web.UI.HtmlControls.HtmlInputFile ResumeFile;
		protected System.Web.UI.HtmlControls.HtmlInputFile PhotoFile;
		protected VolunteerApp volunteerApp;
		protected string strCoverLetterFileName;
		protected string strResumeFileName;
		protected string strPhotoFileName;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			volunteerApp = (VolunteerApp) Context.Handler;

			//set the uploaded files from form page
			CoverLetterFile = volunteerApp.getCoverLetterFile();
			ResumeFile = volunteerApp.getResumeFile();
			PhotoFile = volunteerApp.getPhotoFile();
				
			//determine file names to be uploaded
			strCoverLetterFileName = System.IO.Path.GetFileName(CoverLetterFile.PostedFile.FileName);
			strResumeFileName = System.IO.Path.GetFileName(ResumeFile.PostedFile.FileName);
			strPhotoFileName = System.IO.Path.GetFileName(PhotoFile.PostedFile.FileName);

			//set the values for all the fields
			FirstName.Text = volunteerApp.getFirstName();
			LastName.Text = volunteerApp.getLastName();
			Address.Text = volunteerApp.getAddress();
			City.Text = volunteerApp.getCity();
			ProvState.Text = volunteerApp.getProv();
			Country.Text = volunteerApp.getCountry();
			PostalZip.Text = volunteerApp.getPostal();
			Email.Text = volunteerApp.getEmail();
			SIN.Text = volunteerApp.getSIN();
			Telephone.Text = volunteerApp.getTelephone();
			Mobile.Text = volunteerApp.getMobile();
			Work.Text = volunteerApp.getWork();
			Fax.Text = volunteerApp.getFax();
			Smoking.Text = volunteerApp.getSmoking();
			ContactName.Text = volunteerApp.getContactName();
			ContactTelephone.Text = volunteerApp.getContactTelephone();
			Learn.Text = volunteerApp.getLearn();
			CoverLetter.Text = CoverLetterFile.Value;
			Resume.Text = ResumeFile.Value;
			Photo.Text = PhotoFile.Value;
			PriCam.Text = volunteerApp.getPriCam();
			PriGrip.Text = volunteerApp.getPriGrip();
			PriSound.Text = volunteerApp.getPriSound();
			PriWard.Text = volunteerApp.getPriWard();
			PriPA.Text = volunteerApp.getPriPa();
			PriProps.Text = volunteerApp.getPriProps();
			PriSetDec.Text = volunteerApp.getPriSetDec();
			PriOther.Text =	volunteerApp.getPriOther();
			PriOtherSpecify.Text = volunteerApp.getPriOtherSpecify();
			StreCam.Text = volunteerApp.getStreCam();
			StreGrip.Text = volunteerApp.getStreGrip();
			StreSound.Text = volunteerApp.getStreSound();
			StreWardrobe.Text = volunteerApp.getStreWard();
			StrePA.Text = volunteerApp.getStrePa();
			StreProps.Text = volunteerApp.getStreProps();
			StreSetDec.Text = volunteerApp.getStreSetDec();
			StreOther.Text = volunteerApp.getStreOther();
			StreOtherSpecify.Text = volunteerApp.getStreOtherSpecify();
			
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion


	}
}